Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.property.basic
Class AbstractBinary

    java.lang.Object
      org.modeshape.graph.property.basic.AbstractBinary

All Implemented Interfaces:
  Serializable, Comparable<Binary>, Binary

Direct Known Subclasses:
  FileSystemBinary, InMemoryBinary

    @Immutable
    public abstract class AbstractBinary

extends Object
implements Binary

An abstract implementation of `Binary` that provides some common capabilities for other implementations.

See Also:
  Serialized Form

Field Summary
`protected static Set<String>` | `ALGORITHMS_NOT_FOUND_AND_LOGGED`
`protected static byte[]` | `EMPTY_CONTENT`

Constructor Summary
`protected` | `AbstractBinary()`

Method Summary
`int` | `compareTo(Binary o)`
`protected byte[]` | `computeHash(byte[] content)`
`protected byte[]` | `computeHash(File file)`
`protected byte[]` | `computeHash(InputStream stream)`
`boolean` | `equals(Object obj)`
`String` | `getReadableSize()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.modeshape.graph.property.Binary
`acquire, getBytes, getHash, getSize, getStream, purge, release`

Field Detail

### ALGORITHMS_NOT_FOUND_AND_LOGGED

    protected static final Set<String> ALGORITHMS_NOT_FOUND_AND_LOGGED

### EMPTY_CONTENT

    protected static final byte[] EMPTY_CONTENT

Constructor Detail

### AbstractBinary

    protected AbstractBinary()

Method Detail

### computeHash

    protected byte[] computeHash(byte[] content)

### computeHash

    protected byte[] computeHash(File file)

### computeHash

    protected byte[] computeHash(InputStream stream)

### compareTo

    public int compareTo(Binary o)

  Specified by:
    `compareTo` in interface `Comparable<Binary>`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getReadableSize

    public String getReadableSize()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.